<?php
/**
 * 用户状态表
 * $Id$
 * @author zongbiao
 * @package jp.fishow.entity.definition
 */
class UserStatus
{
	public $id;
	public $title;
	
	function __construct($record) {
		$this->id = $record["id"];
		$this->title = $record["title"];
	}
	
	/**
	 * このクラスのインスタンスのリストを返します。
	 * @return array ImageType一覧
	 */
	public static function getList() {
		static $result;
			
		if ((!is_array($result)) || (count($result) < 1)) {
			
			$data = array();
			$tmp = array("id"=>-1, "title"=>"未注册访客");
			array_push($data, $tmp);
			
			$tmp = array("id"=>1, "title"=>"新注册用户");
			array_push($data, $tmp);
			
			$tmp = array("id"=>2, "title"=>"信息错误");
			array_push($data, $tmp);
			
			$tmp = array("id"=>3, "title"=>"有意向");
			array_push($data, $tmp);
			
			$tmp = array("id"=>4, "title"=>"不报名");
			array_push($data, $tmp);
			
			$tmp = array("id"=>5, "title"=>"已付费[N5]");
			array_push($data, $tmp);
			
			$tmp = array("id"=>6, "title"=>"已付费[N4]");
			array_push($data, $tmp);
			
			$tmp = array("id"=>7, "title"=>"已付费[N3]");
			array_push($data, $tmp);
			
			$tmp = array("id"=>8, "title"=>"已付费[N2]");
			array_push($data, $tmp);
			
			$tmp = array("id"=>9, "title"=>"已付费[N1]");
			array_push($data, $tmp);
			
			$result = array();
			foreach ($data as $row) {
				$tmp2 = new UserStatus($row);
				array_push($result, $tmp2);
			}
		}
		return $result;
	}
	
	/**
	 * IDから対応するインスタンスを返します。
	 * @return UserStatus 対応するインスタンス。ない場合null。
	 */
	public static function getById($id) {
		$list = UserStatus::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp;
			}
		}
		return null;
	}
	
	/**
	 * 定義名から対応するインスタンスを返します。
	 * @return UserStatus 対応するインスタンス。ない場合null。
	 */
	public static function getTitleById($id) {
		$list = UserStatus::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp->title;
			}
		}
		return null;
	}
	
	/**
	 * 通过定义名取得标题,用于显示
	 * @return 
	 */
	public static function getTitlesByNames($names) {
		if (empty($names)) {
			return "拥有全部权限";
		}
		if (!is_array($names)) {
			$names = explode(",", $names);
		}
		$list = UserStatus::getList();
		$result = array();
		foreach ($list as $tmp) {
			if (in_array($tmp->name, $names)) {
				array_push($result, $tmp->title);
			}
		}
		return implode(",", $result);
	}
}